package org.example;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@WebServlet("/hello")
public class HelloWorldServlet extends HttpServlet {
    
    private static Logger logger = LoggerFactory.getLogger(HelloWorldServlet.class);

    static String PAGE_HEADER = "<html><head /><body>";

    static String PAGE_FOOTER = "</body></html>";

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

        try {
            throw new Exception();
        } catch (Exception e) {
            logger.error(e.getMessage(), e);
            System.err.println("*** Exception stacktrace should be logged above ***");
        }
        
        PrintWriter writer = resp.getWriter();
        writer.println(PAGE_HEADER);
        writer.println("<h1>Hello, world!</h1>");
        writer.println(PAGE_FOOTER);
        writer.close();
    }

}
